Subject: bug#28166: 25.2; Batch mode not perfectly noninteractive

From: Андрей Парамонов<[email-masked]>
Date: Mon, 21 Aug 2017 05:42:39 +0300

2017-08-21 5:30 GMT+03:00 Eli Zaretskii <[email-masked]>:

> > From: Андрей Парамонов
> >       <[email-masked]>
> > Date: Mon, 21 Aug 2017 04:15:06 +0300
> > Cc: [email-masked]
> >
> > I think the logical behavior for
> > $C:\emacs\bin\emacs.exe --script test.el
> > would be the same as for
> > $C:\emacs\bin\emacs.exe --script test.el < NUL
>
> Why?  Shell scripts can read input from the keyboard, can't they?
>

I thought that "noninteractive" means precisely:
do not read from keyboard.

However I'm not sure now. How do other (e.g Lisp) interpreters behave in
similar circumstances?

Best wishes,
Andrey Paramonov